#include <bits/stdc++.h>
using namespace std;

int main(){

int t;
cin>>t;
long long n;

long long brojResenja;

for (int i=0; i<t; i++){
	cin>>n;
	if (n<=10) brojResenja=n;
	else if (n>10 && n<=20) brojResenja=10;
	else if (n>=30 && n<=34) brojResenja=15;
	else if (n>=40 && n<=44) brojResenja=19;
	else if (n>=50 && n<=54) brojResenja=23;
	else if (n>=60 && n<=66) brojResenja=27;
	else if (n>=70 && n<=76) brojResenja=30;
	else if (n>=80 && n<=87) brojResenja=33;
	else if (n>=90 && n<=98) brojResenja=36;
	else if (n>=99 && n<=250) brojResenja=37;
	cout<<brojResenja<<endl;
}





return 0;
}